Home > News > Press Release

• Press Release   Date : 2017/10/24

 WPA2 Vulnerability Announcement
 
COMTREND PRODUCT INFORMATION

Models: Various Wireless (See Below)

Version: KRACK_WPA2.V1

Technical Release Date: October 24, 2017

Status: Varies by Model

Overview:

On Monday, October 16, 2017, a WPA2 wireless protocol vulnerability was reported to the public at large. Since that time, Comtrend has been, and continues to be, in constant contact with all of our wireless chipset manufacturers.

Status

On Friday, October 20, 2017, we have determined the following:

  • All of our Broadband Provider's Residential Gateways are NOT affected. This includes all products that start with "NL", "VR", "VI", “VG”, “GRG” and "GFR".

  • SMB Wireless products, including all "WAP-588x" series, are still under investigation with the chipset manufacturer. At this time we are assuming the wireless product that supports "Client" and/or "Repeater" modes will require a patched release. Dates will be released as soon as possible.

Supplemental Vulnerability Information

Discovered by: Mathy Vanhoef of imec-DistriNet, KU Leuven via source: https://www.krackattacks.com/#details Referred to as KRACK.



BACK